Bug 178352 - Class name is not refactored in trigger
Class name is not refactored in trigger
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173077
  Show dependency treegraph
 
Reported: 2009-12-09 03:41 UTC by Alexandr Scherbatiy
Modified: 2010-01-28 03:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-09 03:41:49 UTC
NetBeans-JavaFX-Soma  #60

  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200)
(#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun
Microsystems Inc.


Steps to reproduce:

- Create JavaFX MediaBox sample
- Go to the com.sun.javafx.mediabox.Main file
- Go to the 'var mediaBox: MediaBox = MediaBox {' line
- Refactor -> Rename the MediaBox  to MediaBox2
- Clean and build the sample

Media Box\src\com\sun\javafx\mediabox\controls\MediaTime.fx:52: cannot find symbol
symbol  : variable MediaBox
location: class com.sun.javafx.mediabox.controls.MediaTime
        MediaBox.impl_clearMediaPlayer(oldPlayer);

Media Box\src\com\sun\javafx\mediabox\controls\MediaTime.fx:73: cannot find symbol
symbol  : variable MediaBox
location: class com.sun.javafx.mediabox.controls.MediaTime
        Theme.getTheme(MediaBox.theme).createMediaTimeSkin(); 

2 errors
Comment 1 J Bachorik 2009-12-10 03:00:35 UTC
fixed in http://hg.netbeans.org/javafx/rev/798b6ea682f7
Comment 2 Alexandr Scherbatiy 2009-12-18 04:04:29 UTC
verified in NetBeans-JavaFX-Soma: #69
Comment 3 rbalada 2010-01-21 02:58:01 UTC
The fix has been ported to branch release68_fixes
http://hg.netbeans.org/javafx/rev/108f46bcff39
Comment 4 Alexandr Scherbatiy 2010-01-26 05:05:10 UTC
NB 6.8 patch1 fix is blocked by regression issue 179864
Comment 5 rbalada 2010-01-27 09:17:55 UTC
The fix has been backed, refactoring of "Refactoring" TreePathHandle -> ElementLocation has been integrated and the fix was re-integrated as
http://hg.netbeans.org/javafx/rev/430337942c2b
Comment 6 Alexandr Scherbatiy 2010-01-28 03:47:07 UTC
Verified in NB 6.8 Patch1 2010-01-28_00-36-51


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo